
    #include <DHT.h>
    #include <OneWire.h>
    #include <DallasTemperature.h>
    #include "HX711.h"
    #include <Akeru.h>
    
    #define ONE_WIRE_BUS 3
    OneWire ourWire(ONE_WIRE_BUS);
    DallasTemperature sensors(&ourWire);
 
    #define photores 1
    #define DHTPIN 2
    #define DHTTYPE DHT22
    DHT dht(DHTPIN, DHTTYPE);   
    int capteurpluie = 6;
    HX711 scale(10, 11);
    #define TX 5
    #define RX 4
    Akeru Akeru(RX, TX);
    
    void setup()
    {
      pinMode(capteurpluie,INPUT);
      sensors.begin();
      dht.begin();
      scale.set_scale(2280.f);  
      scale.tare();
      Akeru.begin();
    }

    void loop()
    {
      sensors.requestTemperatures();
      int tempint = (sensors.getTempCByIndex(0));
      int humext = dht.readHumidity();
      int tempext = dht.readTemperature();
      int lumext = analogRead(photores);
      lumext = map(lumext, 0, 1023, 0, 100);
      int eau = digitalRead(capteurpluie);
      eau = 1 - eau;
      int poids = (scale.get_units()*0.1);
      String humidite = Akeru.toHex(humext);
      String temperature = Akeru.toHex(tempext);
      String tempeint = Akeru.toHex(tempint);
      String luminosite = Akeru.toHex(lumext);
      String balance = Akeru.toHex(poids);
      String pluie = Akeru.toHex(eau);
      String message = humidite + temperature + luminosite + tempeint + balance + pluie;

      Akeru.sendPayload(message);
      
      delay(600000);
    }
