
    #include <DHT.h>
    #include <OneWire.h>
    #include <DallasTemperature.h>
    #include "HX711.h"

    #define ONE_WIRE_BUS 3
    OneWire ourWire(ONE_WIRE_BUS);
    DallasTemperature sensors(&ourWire);
 
    #define photores 1
    #define DHTPIN 2
    #define DHTTYPE DHT22
    DHT dht(DHTPIN, DHTTYPE);   
    int capteurpluie = 6;
    // HX711.DOUT  - pin 10
    // HX711.PD_SCK - pin 11
    HX711 scale(10, 11);
    
    void setup()
    {
      Serial.begin(9600);
      pinMode(capteurpluie,INPUT);
      sensors.begin();
      dht.begin();
      scale.set_scale(2280.f);  
      scale.tare();   // tare de la balance
    }

    void loop()
    {
      sensors.requestTemperatures();
      float hum = dht.readHumidity();
      float temp = dht.readTemperature();
      int lum = analogRead(photores);
      lum = map(lum, 0, 1023, 0, 100);
      float eau = digitalRead(capteurpluie);
      
      if(digitalRead(capteurpluie) == LOW)
  {
    Serial.println("Pluie "); 
  }
else
  {
    Serial.println(" ");
  }
  scale.power_up();  
  Serial.print("Poids :");                        
  Serial.print(scale.get_units()*0.1 , 1);
  Serial.println("KG");
  scale.power_down();
      Serial.print("Temperature ruche ");
      Serial.print(sensors.getTempCByIndex(0));
      Serial.println(" C");
      Serial.print("Humidite ext = ");
      Serial.println(hum);
      Serial.print("Temperature ext = ");
      Serial.println(temp);
      Serial.print("Luminosite ext = ");
      Serial.println(lum);
      Serial.println();
   
      delay(5000);
    }
